function [g] = plot_mesh(P,T)

% Einfach plot-Funktion, welche das zu P und T gehörende Gitter zeichnet.
%
% Input:
% - T: Matrix, welche in der i-ten Zeile die Indizes der zum i-ten Dreieck
% gehörenden Knoten enthält.
% - P: Matrix, welche in der j-ten Zeile die (x,y)-Koordinaten des j-ten
% Knotens enthält.


% Variante über patch: in einer Schleife jedes Dreieck einzeln zeichnen
g = figure;
hold on
for i = 1:length(T)
    % [1 2 3], da es immer Dreiecke sind und die Knoten sind entsprechen in P gespeichert.
    patch('Faces',[1 2 3],'Vertices',P(T(i,:),:),'EdgeColor','blue','FaceColor','none');
end
hold off
